#!/bin/bash
#
# qbittorrent-api pip3 package for Alpine Linux
# https://pkgs.alpinelinux.org/package/edge/testing/x86_64/py3-qbittorrent-api-pyc
#
#
echo "**"
echo "**"
echo "**"
echo "**"
echo "*******************************************"
echo "**** Adding the edge repo to the build ****"
echo "*******************************************"
echo "**"
# Add the "edge" testing repository
echo "http://dl-cdn.alpinelinux.org/alpine/edge/testing" >> /etc/apk/repositories
echo "*******************************"
echo "**** Updating Alpine Linux ****"
echo "*******************************"
# Update the package list
apk update
echo "*********************************************************"
echo "**** Installing python3 and py3-pip for Alpine Linux ****"
echo "*********************************************************"
# Install Python and pip
apk add python3 py3-pip
echo "************************************************************************"
echo "**** Install qbittorrent-api thats in the edge repo of Alpine Linux ****"
echo "************************************************************************"
# Install qbittorrent-api
apk add py3-qbittorrent-api
echo "**"
echo "*********************************************************"
echo "**** done installing extra_packages for Alpine Linux ****"
echo "*********************************************************"
echo "**"
echo "**"
echo "**"
echo "**"
